> For the complete documentation index, see [llms.txt](https://docs.documint.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.documint.me/integrations/airtable/duplicate-document-prevention.md).

# Duplicate Document Prevention

By default, Documint will first check if a document has already been created using the same template and data before creating a new one. If a document has already been created, Documint will return the existing document. If not, it will create a new document. This prevents the same document from being generated more than once and counting against your quota multiple times.&#x20;

There may be cases where you want/need more fine-tuned control over this functionality. In those cases, you can tell Documint specifically which fields in your data to watch for changes. This is accomplished using the `watch_fields` or `ignore_fields` query parameters in the Generation Link URL.&#x20;

### Setup

To use this feature, you will need to add either `watch_fields` or `ignore_fields` as a query parameter to your Generation Link. If both parameters are passed, only the `watch_fields` parameter will be evaluated. Add a comma-separated list of field names, in [snake-case](broken://pages/-M_uzGBz2ZMM9JoJT1W4#snake-case), as the value for the parameter.

{% hint style="warning" %}
Field names must be converted to [**snake-case**](broken://pages/-M_uzGBz2ZMM9JoJT1W4#snake-case) when used in this query parameter.
{% endhint %}

{% hint style="info" %}
Every time a document is created, Documint creates a hash of the data that is being merged and the template. This allows Documint to detect changes in either without ever storing your data. &#x20;
{% endhint %}

![](https://1903534506-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FTY5wPd81K7B5rjyG5tjS%2Fuploads%2FplAgNBTMHNMvqmUJYHQK%2Fduplicate%20parameter.png?alt=media\&token=237c041c-7d7a-466c-b508-128193524c92)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.documint.me/integrations/airtable/duplicate-document-prevention.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
